Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfListStyle

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListStyle

Direct Known Subclasses:
  RtfListStyleBullet, RtfListStyleNumber, RtfListStyleText

    public class RtfListStyle

extends java.lang.Object

Class to handle list styles.

Constructor Summary
`RtfListStyle()`

Method Summary
`RtfList` | `getRtfList()` Gets the RtfList this style belongs to.
`RtfListItem` | `getRtfListItem()` Gets the RtfListItem this style belongs to.
`void` | `setRtfListItem(RtfListItem item)` Sets the RtfListItem this style belongs to.
`void` | `writeLevelGroup(RtfElement element)` Gets called when the list table has to be written.
`void` | `writeListPrefix(RtfListItem item)` Gets called before a RtfListItem has to be written.
`void` | `writeParagraphPrefix(RtfElement element)` Gets called before a paragraph has to be written, which is contained by a RtfListItem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtfListStyle

    public RtfListStyle()

Method Detail

### setRtfListItem

    public void setRtfListItem(RtfListItem item)

  Sets the RtfListItem this style belongs to.

  Parameters:
    `item` - RtfListItem this style belongs to

### getRtfListItem

    public RtfListItem getRtfListItem()

  Gets the RtfListItem this style belongs to.

  Returns:
    RtfListItem this style belongs to

### getRtfList

    public RtfList getRtfList()

  Gets the RtfList this style belongs to.

  Returns:
    RtfList this style belongs to

### writeListPrefix

    public void writeListPrefix(RtfListItem item)
                         throws java.io.IOException

  Gets called before a RtfListItem has to be written.

  Parameters:
    `item` - RtfListItem this style belongs to
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs.

### writeParagraphPrefix

    public void writeParagraphPrefix(RtfElement element)
                              throws java.io.IOException

  Gets called before a paragraph has to be written, which is contained by a RtfListItem.

  Parameters:
    `element` - RtfElement in whose context is to be written
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs.

### writeLevelGroup

    public void writeLevelGroup(RtfElement element)
                         throws java.io.IOException

  Gets called when the list table has to be written.

  Parameters:
    `element` - RtfElement in whose context is to be written
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.